Skip to main content
GET
/
v4
/
forms
/
{form_id}
/
subscribers
List subscribers for a form
curl --request GET \
  --url https://api.kit.com/v4/forms/{form_id}/subscribers \
  --header 'X-Kit-Api-Key: <api-key>'
require 'uri'
require 'net/http'

url = URI("https://api.kit.com/v4/forms/{form_id}/subscribers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Kit-Api-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
const options = {method: 'GET', headers: {'X-Kit-Api-Key': '<api-key>'}};

fetch('https://api.kit.com/v4/forms/{form_id}/subscribers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.kit.com/v4/forms/{form_id}/subscribers"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-Kit-Api-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kit.com/v4/forms/{form_id}/subscribers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Kit-Api-Key: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests

url = "https://api.kit.com/v4/forms/{form_id}/subscribers"

headers = {"X-Kit-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "subscribers": [
    {
      "id": 673,
      "first_name": null,
      "email_address": "subscriber357@kit.dev",
      "state": "active",
      "created_at": "2023-02-17T11:43:55Z",
      "added_at": "2023-02-17T11:43:55Z",
      "referrer": "https://mywebsite.com/bfpromo/?utm_source=facebook&utm_medium=cpc&utm_campaign=black_friday&utm_term=car_owners&utm_content=get_10_off",
      "referrer_utm_parameters": {
        "source": "facebook",
        "medium": "cpc",
        "campaign": "black_friday",
        "term": "car_owners",
        "content": "get_10_off"
      },
      "fields": {
        "category": "One"
      }
    },
    {
      "id": 672,
      "first_name": null,
      "email_address": "subscriber356@kit.dev",
      "state": "active",
      "created_at": "2023-02-17T11:43:55Z",
      "added_at": "2023-02-17T11:43:55Z",
      "referrer": "https://mywebsite.com/bfpromo/?utm_source=facebook&utm_medium=cpc&utm_campaign=black_friday&utm_term=car_owners&utm_content=get_10_off",
      "referrer_utm_parameters": {
        "source": "facebook",
        "medium": "cpc",
        "campaign": "black_friday",
        "term": "car_owners",
        "content": "get_10_off"
      },
      "fields": {
        "category": null
      }
    },
    {
      "id": 671,
      "first_name": null,
      "email_address": "subscriber355@kit.dev",
      "state": "active",
      "created_at": "2023-02-17T11:43:55Z",
      "added_at": "2023-02-17T11:43:55Z",
      "referrer": "https://mywebsite.com/bfpromo/?utm_source=facebook&utm_medium=cpc&utm_campaign=black_friday&utm_term=car_owners&utm_content=get_10_off",
      "referrer_utm_parameters": {
        "source": "facebook",
        "medium": "cpc",
        "campaign": "black_friday",
        "term": "car_owners",
        "content": "get_10_off"
      },
      "fields": {
        "category": null
      }
    }
  ],
  "pagination": {
    "has_previous_page": false,
    "has_next_page": false,
    "start_cursor": "WzY3M10=",
    "end_cursor": "WzY3MV0=",
    "per_page": 500
  }
}
{
"errors": [
"The access token is invalid"
]
}
{
"errors": [
"Not Found"
]
}

Authorizations

X-Kit-Api-Key
string
header
required

Authenticate API requests via an API Key

Path Parameters

form_id
integer
required

Query Parameters

added_after
string | null

Filter subscribers who have been added to the form after this date (format yyyy-mm-dd)

added_before
string | null

Filter subscribers who have been added to the form before this date (format yyyy-mm-dd)

after
any | null

To fetch next page of results, use ?after=<end_cursor>

before
any | null

To fetch previous page of results, use ?before=<start_cursor>

created_after
string | null

Filter subscribers who have been created after this date (format yyyy-mm-dd)

created_before
string | null

Filter subscribers who have been created before this date (format yyyy-mm-dd)

include_total_count
boolean

Set to true to include the total_count in the response. This option can cause slow responses; if paging through results, request it only on the first page and reuse the value for subsequent pages.

per_page
any | null

Number of results per page. Default 500, maximum 1000.

slim
boolean

When true, omits expensive optional fields from the response. Produces a faster, smaller response — useful when extra fields are not needed.

status
enum<string>

Filter subscribers who have this status (active, inactive, bounced, complained, cancelled or all). Defaults to active.

Available options:
active,
inactive,
bounced,
complained,
cancelled,
all

Response

Returns a paginated list of subscribers for the specified form

subscribers
object[]
required
pagination
object
required